RRDLIST(1)

NAME
rrdlist - List directories and rrd databases.

SYNOPSIS
rrdtool list [--daemon|-d address] [--noflush|-F] [--recursive|-r] path

DESCRIPTION
The list function provides an 'ls-like' interface for traversing and listing the rrd database tree.

When using the --daemon option, the list function connects to rrdcached, the RRD caching daemon, and issues a "list" command for the given path.

path
    The path (starting with '/') with '/' being the rrdcached base_dir.

--daemon|-d address
    Address of the rrdcached daemon. If not specified, the RRDCACHED_ADDRESS environment variable must be set (see below). For a list of accepted formats, see the -l option in the rrdcached manual.

     rrdtool list --daemon 127.0.0.1:42218 /cluster/nodes/node1

--noflush|-F
    When using a daemon, "rrdtool list" will usually flush its cache to the disk before performing operations. This option disables cache flushing.

--recursive|-r
    Make the list of rrd databases recursive.

ENVIRONMENT VARIABLES
The following environment variables may be used to change the behavior of "rrdtool list":

RRDCACHED_ADDRESS
    If this environment variable is set it will have the same effect as specifying the "--daemon" option on the command line. If both are present, the command line argument takes precedence.

AUTHOR
Sebastien Dugue <sebastien.dugue@atos.net>